Subject: [nemo] new DSMIP draft

From: "Hesham Soliman" <[email-masked]>
Date: Mon, 9 Jul 2007 23:37:22 +1000

Folks, 

Until the draft is announced you can find it here:
http://www.elevatemobile.com/ietf/draft-ietf-mip6-nemo-v4traversal-05.txt

There are some id nits that I plan to handle with WGLC, I'm transferring it
to xml now. 

Hesham

---

From: "Hesham Soliman" <[email-masked]>
Date: Tue, 10 Jul 2007 21:38:47 +1000

Hi Karen,

 > 
 > A few comments:
 > 
 > To me, there is some confusion in the draft as to whether 
 > RH type 2 and HAO DST-OPT are used when MIPv6 signaling messages
 > are encapsulated in IPv4.
 > 
 > I think, that you now want to say that these are not used (?)
 > Therefore the HAO DST-OPT have disappeared from Packet format A. in
 > Section 4.2 - 
 > Right ?

=> Well, since we're forced to use the HoA in the src address field, the HAO
becomes redundant, so yes, that's true.

 > 
 > If so, the RH type 2 should also disappear from Packet Format B, same
 > section (?)

=> Yes, it's a slip in the text.

 > 
 > For clarity I think that it could be good to add a few lines 
 > somewhere
 > emphasizing this general difference to [MIPv6]. I.e., not only are we
 > encapsulating
 > in IPv4, RH and DST-OPT have also disappeared. 

=> ok.

 > 
 > A long the same lines, I think that the last part of section 2.3.2.1
 > needs 
 > updating, Ipv4-mapped addresses are no longer used - right ?

=> I thought I did that, hmm, I'll take a look.

 > 
 > Finally, Section 2.2 on Mobile Prefix Solicitations and 
 > Advertisements
 > doesn't say 
 > whether these messages are sent with DST-OPT and RH. Such is 
 > a MUST in
 > [MIPv6] and therefore
 > it would be good to clarify whether we keep them here or not.

=> Yes.

 > 
 > Also in Section 2.2., I do not understand the reference:   
 > 
 >    "Securing such messages would require the mobile node to have
 > security
 >    association with the home agent, using IPsec (AH or ESP) 
 > and based on
 >    the mobile node's IPv4 care-of address as described in [MIPv6]."
 > 
 > - ??
 > 

=> This particular text is about 3 years old. At the time, I think my
intention was to highlight that if the MN is in an IPv4 network and strictly
follows the security requirements for those messages, which may be exchanged
before the MN discovers its home address, then the IPv4 HoA may have to be
used. That might be tricky with IPv4 and especially when NATs are present. 

 > It is also here said that
 > 
 >    "If this effect
 >    is not desired, the mobile node can base the SA on the 
 > information in
 >    the inner header (i.e. using the home agent's IPv6 address, the
 >    mobile node's home address and the ICMP protocol number). Such
 >    security association would use transport mode ESP protection."
 > 
 > Why should this be ESP transport, do you want to say IPv4, IPv6, ESP,
 > ICMP - as in [MIPv6]
 > had we no RH/DST-OPT, 

=> Right.

   and specifically NOT:
 > Ipv4, ESP, IPv6, ICMP.

=> Well, this format won't work if a NAT is present. Or do you mean
IPv4/UDP/ESP/...etc? 

Hesham